%define oname OpenJPEG
%define lib_major 5
%define lib_name %mklibname %{name} %{lib_major}
%define lib_dev %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Summary:	An open-source JPEG 2000 codec 
Name:		openjpeg
Version:	1.5.1
Release:	4
License:	BSD
Group:		System/Libraries
Url:		http://www.openjpeg.org/
Source0:	http://openjpeg.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	png-devel
BuildRequires:	tiff-devel
BuildRequires:	lcms2-devel

%description
%{common_description}

%package -n %{lib_name}
Summary:	%{oname} library
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%package -n %{lib_dev}
Summary:	Development tools for programs using the %{oname} library
Group:		Development/C
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}

%prep
%setup -q

%build
%cmake -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
	-DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
	-DOPENJPEG_INSTALL_INCLUDE_DIR:PATH=%{_includedir} \
	-DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_libdir}

%make

%install
%makeinstall_std -C build

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%doc %{_datadir}/doc/%{name}-1.5/

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{version}

%files -n %{lib_dev}
%{_includedir}/%{name}.h
%{_libdir}/*.so
%{_libdir}/%{name}-1.5/*.cmake
%{_libdir}/pkgconfig/libopenjpeg1.pc


%changelog
* Sat Oct 20 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.1-4
+ Revision: 819151
- fix file list
- spec file clean

* Thu Sep 27 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.5.1-3
+ Revision: 817720
- fix devel package reqs

* Wed Sep 26 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.5.1-2
+ Revision: 817642
- fix library major version

* Wed Sep 26 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.5.1-1
+ Revision: 817638
- update to 1.5.1 (sync with rosa desktop)

* Thu Jul 12 2012 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2
+ Revision: 808992
- sync with MDVSA-2012:104

* Mon Mar 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.5.0-1
+ Revision: 786938
- BR:cmake
- version update 1.5.0

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3-8
+ Revision: 666953
- mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-7mdv2011.0
+ Revision: 607018
- rebuild

* Mon Dec 21 2009 Funda Wang <fwang@mandriva.org> 1.3-6mdv2010.1
+ Revision: 480780
- add gentoo patch (bug#50606)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3-5mdv2010.0
+ Revision: 426345
- rebuild

* Sun Aug 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1.3-4mdv2009.0
+ Revision: 262256
- Push new openjpeg build. Needed for kde4 okular

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.3-3mdv2009.0
+ Revision: 254780
- rebuild

* Sun Mar 02 2008 Olivier Blin <blino@mandriva.org> 1.3-1mdv2008.1
+ Revision: 177766
- fix lib install on x86_64
- 1.3
- rediff inst patch
- use makeinstall_std

* Thu Jan 03 2008 Olivier Blin <blino@mandriva.org> 1.1.1-1mdv2008.1
+ Revision: 141036
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 141340
- 1.1.1

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2007.1
+ Revision: 106206
- remove misleading description
- remove empty package

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2007.1
+ Revision: 106121
- initial openjpeg release
- Create openjpeg

